[ 
https://issues.apache.org/jira/browse/ARROW-2059?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16352025#comment-16352025
 ] 

Jingyuan Wang commented on ARROW-2059:
--------------------------------------

Stack trace of the failure when processing 100M-row data (feather-0.3.1):

{code:none}
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe1 in position 9: invalid 
continuation byte

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "test.py", line 44, in <module>
    elapsed_ts.append(test(df, i))
  File "test.py", line 20, in test
    df = feather.read_dataframe(fthfilename)
  File 
"/home/jingyuan/anaconda3/envs/arrow-2059-feather-0.3.1/lib/python3.6/site-packages/feather/api.py",
 line 93, in read_dataframe
    arr = col.read()
SystemError: <built-in method read of feather.ext.Column object at 
0x7f5fdc958a40> returned a result with an error set
{code}

> [Python] Possible performance regression in Feather read/write path
> -------------------------------------------------------------------
>
>                 Key: ARROW-2059
>                 URL: https://issues.apache.org/jira/browse/ARROW-2059
>             Project: Apache Arrow
>          Issue Type: Bug
>          Components: Python
>            Reporter: Wes McKinney
>            Assignee: Jingyuan Wang
>            Priority: Major
>             Fix For: 0.9.0
>
>
> See discussion in https://github.com/wesm/feather/issues/329. Needs to be 
> investigated



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to